Package com.macrofocus.high_d.details

# Class DetailsDataFrame<R,C,V,Color,Font>

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<C,String,Object>
com.macrofocus.high_d.details.DetailsDataFrame<R,C,V,Color,Font>

All Implemented Interfaces:
  `com.macrofocus.molap.dataframe.DataFrame<C,String,Object>`

public class DetailsDataFrame<R,C,V,Color,Font> extends com.macrofocus.molap.dataframe.AbstractDataFrame<C,String,Object>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetailsDataFrame(com.macrofocus.molap.dataframe.DataFrame<R,C,V> model, com.macrofocus.visual.Visual<Color,R,C> visual)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `getColumnClass(String s)`
  `com.macrofocus.molap.index.UniqueIndex<String>`
  `getColumnIndex()`
  `com.macrofocus.molap.series.Series<String,?>`
  `getRow(C c)`
  `Class`
  `getRowClass(C c)`
  `com.macrofocus.molap.index.UniqueIndex<C>`
  `getRowIndex()`
  `Object`
  `getValueAt(C c, String s)`
  `com.macrofocus.molap.dataframe.DataFrame`
  `join(com.macrofocus.molap.series.Series series, String[] strings)`
  `protected void`
  `scheduleUpdate()`
  `protected void`
  `updateImmediatelly()`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnCount, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowCount, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DetailsDataFrame

    public DetailsDataFrame(com.macrofocus.molap.dataframe.DataFrame<R,C,V> model, com.macrofocus.visual.Visual<Color,R,C> visual)

- ## Method Details

  - ### getRowClass

    public Class getRowClass(C c)

  - ### getColumnClass

    public Class getColumnClass(String s)

  - ### getValueAt

    public Object getValueAt(C c, String s)

  - ### getRow

    public com.macrofocus.molap.series.Series<String,?> getRow(C c)

  - ### getRowIndex

    public com.macrofocus.molap.index.UniqueIndex<C> getRowIndex()

  - ### getColumnIndex

    public com.macrofocus.molap.index.UniqueIndex<String> getColumnIndex()

  - ### join

    public com.macrofocus.molap.dataframe.DataFrame join(com.macrofocus.molap.series.Series series, String[] strings)

  - ### scheduleUpdate

    protected void scheduleUpdate()

  - ### updateImmediatelly

    protected void updateImmediatelly()